UserResourcePermission (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.UserResourcePermission class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib
Class UserResourcePermission

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.hyperic.hq.ui.taglib.UserResourcePermission

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class UserResourcePermission

extends javax.servlet.jsp.tagext.TagSupport

Check to see if the current user has a specific set of permissions relative to the current resource in scope.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`UserResourcePermission()`

Method Summary
`int` | `doEndTag()`
`int` | `doStartTag()` evaluate the user, resource and required permission.
`java.lang.Boolean` | `getDebug()` Getter for property debug.
`AppdefResourceValue` | `getResource()` Getter for property resource.
`void` | `setDebug(java.lang.Boolean debug)` Setter for property debug.
`void` | `setResource(AppdefResourceValue resource)` Setter for property resource.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserResourcePermission

    public UserResourcePermission()

Method Detail

### doStartTag

    public final int doStartTag()
                         throws javax.servlet.jsp.JspException

  evaluate the user, resource and required permission. to determine if the user had rights to perform permission on resource populate scoped variable with true or false.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Returns:
  Throws:
    `javax.servlet.jsp.JspException`

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Specified by:
    `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doEndTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Returns:
  Throws:
    `javax.servlet.jsp.JspException`

### getResource

    public AppdefResourceValue getResource()

  Getter for property resource.

  Returns:
    Value of property resource.

### setResource

    public void setResource(AppdefResourceValue resource)

  Setter for property resource.

  Parameters:
    `resource` - New value of property resource.

### getDebug

    public java.lang.Boolean getDebug()

  Getter for property debug.

  Returns:
    Value of property debug.

### setDebug

    public void setDebug(java.lang.Boolean debug)

  Setter for property debug.

  Parameters:
    `debug` - New value of property debug.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.